## ros-melodic-cob-utilities 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_utilities)

find_package(catkin REQUIRED COMPONENTS)

catkin_package(
  INCLUDE_DIRS common/include
  LIBRARIES ${PROJECT_NAME}
)

### BUILD ###
include_directories(common/include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} common/src/IniFile.cpp common/src/MathSup.cpp common/src/StrUtil.cpp common/src/TimeStamp.cpp)

### INSTALL ###
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY common/include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-cob-utilities (0.7.4-1stretch) stretch; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-melodic-cob-utilities (0.7.3-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-utilities (0.7.2-1stretch) stretch; urgency=high

  * Merge pull request #405 <https://github.com/ipa320/cob_driver/issues/405> from fmessmer/fix_warnings
    fix compile warnings
  * fix -Wunused-result in cob_utilities
  * Contributors: Felix Messmer, fmessmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-utilities (0.7.1-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-utilities (0.7.0-1stretch) stretch; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-utilities (0.6.15-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-melodic-cob-utilities (0.6.14-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-utilities (0.6.13-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-utilities (0.6.12-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-utilities (0.6.11-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-utilities (0.6.10-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-melodic-cob-utilities (0.6.9-1stretch) stretch; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-utilities (0.6.8-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-utilities (0.6.7-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-melodic-cob-utilities (0.6.6-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-utilities (0.6.5-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-utilities (0.6.4-1stretch) stretch; urgency=high

  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-melodic-cob-utilities (0.6.3-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-utilities (0.6.2-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-melodic-cob-utilities (0.6.1-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-melodic-cob-utilities (0.6.0-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-melodic-cob-utilities (0.5.7-1stretch) stretch; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Contributors: Alexander Bubeck, Florian Weisshardt

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-melodic-cob-utilities (0.5.6-1stretch) stretch; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Contributors: Alexander Bubeck, Florian Weisshardt

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-melodic-cob-utilities (0.5.3-1stretch) stretch; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-melodic-cob-utilities (0.5.2-1stretch) stretch; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-melodic-cob-utilities (0.5.1-1stretch) stretch; urgency=high

  * cleaned up CMakeLists and added install directives
  * futher include and linkpath modifications
  * compiling but still some linker errors
  * Second catkinization push
  * First catkinization, still need to update some CMakeLists.txt
  * moved to cob_driver
  * Contributors: Alexander Bubeck, abubeck, ipa-fmw

 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-cob-utilities
Section: misc
Priority: optional
Maintainer: Matthias Gruhler <mig@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/cob_utilities
Standards-Version: 3.9.2

Package: ros-melodic-cob-utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Deprecated &quot;cob_utilities&quot; subsumes a number of classes, which are used in the original COb3 software.
 E.g. &quot;IniFile.h&quot; supports the original inifile structure of Care-O-bot 3. &quot;MathSup.h&quot; provides some basic functions like conversion from degree to radion or norming of angles within +/- PI. The package is currently used while the drivers are ported to ROS and Orocos respectively. Midterm it shall be removed and the ROS structures shall be used for reading parameters during initialization. So, don't use this package in new code!
